Bug 809035 - NetworkManager does not awaken after suspend
NetworkManager does not awaken after suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 06:13 EDT by Steve Alexander
Modified: 2012-06-08 19:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 19:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
55NetworkManager.patch (715 bytes, patch)
2012-04-02 06:13 EDT, Steve Alexander
no flags Details | Diff

  None (edit)
Description Steve Alexander 2012-04-02 06:13:51 EDT
Created attachment 574441 [details]
55NetworkManager.patch

Description of problem:
After resuming from suspend, NetworkManager remains in a sleep state.
Can be re-awakened with: nmcli -p nm sleep false


Version-Release number of selected component (if applicable):
pm-utils-1.4.1-12.fc16.x86_64
NetworkManager-0.9.2-1.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1. With network controlled from NM, suspend system
2. Resume system
3. Note that NM remains asleep
  
Actual results:
[root@crucibulum Desktop]# nmcli -p nm status
======================================================================================
                                NetworkManager status
======================================================================================
RUNNING         STATE           WIFI-HARDWARE   WIFI       WWAN-HARDWARE   WWAN      
--------------------------------------------------------------------------------------
running         asleep          enabled         enabled    enabled         enabled   


Expected results:
[root@crucibulum Desktop]# nmcli -p nm status
======================================================================================
                                NetworkManager status
======================================================================================
RUNNING         STATE           WIFI-HARDWARE   WIFI       WWAN-HARDWARE   WWAN      
--------------------------------------------------------------------------------------
running         connected       enabled         enabled    enabled         enabled   


Additional info:

The pm-utils script /usr/lib64/pm-utils/sleep.d/55NetworkManager contains an error.  The dbus-send command parameters do not match the requirements of NetworkManager.  Specifically "...sleep" and "...wake" are both replces with "...Sleep" and a boolean paramaters.  The attached patch appears to solve the problem..
Comment 1 Steve Alexander 2012-04-02 06:15:59 EDT
The patch was based on review of ...
http://rpmfind.net/linux/RPM/opensuse/updates/12.1/x86_64/pm-utils-ndiswrapper-1.4.1-12.6.1.x86_64.html
Comment 2 Jaroslav Škarvada 2012-05-24 08:35:49 EDT
Thanks for reporting, accepted and notified upstream.
Comment 3 Fedora Update System 2012-05-24 09:10:29 EDT
pm-utils-1.4.1-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pm-utils-1.4.1-13.fc16
Comment 4 Fedora Update System 2012-05-24 20:02:57 EDT
Package pm-utils-1.4.1-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pm-utils-1.4.1-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8389/pm-utils-1.4.1-13.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-08 19:59:04 EDT
pm-utils-1.4.1-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.